Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Class cmdConfig.LANSettings

java.lang.Object
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdConfig.LANSettings

Enclosing class:
  cmdConfig

    public static class cmdConfig.LANSettings
    extends java.lang.Object

Data Class

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `LANSettings​(java.lang.String ipAddr, java.lang.String subnetMask, java.lang.String tcpPort, java.lang.String defGateway, boolean dhcp, java.lang.String macAddr)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getDefGateway()` |
  `boolean` | `getDHCP()` |
  `java.lang.String` | `getIPAddr()` |
  `java.lang.String` | `getMACAddr()` |
  `java.lang.String` | `getSubnetMask()` |
  `java.lang.String` | `getTCPPort()` |
  `void` | `setDefGateway​(java.lang.String defGateway)` |
  `void` | `setDHCP​(boolean DHCP)` |
  `void` | `setIPAddr​(java.lang.String IPAddr)` |
  `void` | `setMACAddr​(java.lang.String MACAddr)` |
  `void` | `setSubnetMask​(java.lang.String subnetMask)` |
  `void` | `setTCPPort​(java.lang.String TCPPort)` |

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LANSettings

    public LANSettings​(java.lang.String ipAddr, java.lang.String subnetMask, java.lang.String tcpPort, java.lang.String defGateway, boolean dhcp, java.lang.String macAddr)

- ## Method Details

  - ### getDHCP

    public boolean getDHCP()

  - ### setDHCP

    public void setDHCP​(boolean DHCP)

  - ### getIPAddr

    public java.lang.String getIPAddr()

  - ### setIPAddr

    public void setIPAddr​(java.lang.String IPAddr)

  - ### getSubnetMask

    public java.lang.String getSubnetMask()

  - ### setSubnetMask

    public void setSubnetMask​(java.lang.String subnetMask)

  - ### getTCPPort

    public java.lang.String getTCPPort()

  - ### setTCPPort

    public void setTCPPort​(java.lang.String TCPPort)

  - ### getDefGateway

    public java.lang.String getDefGateway()

  - ### setDefGateway

    public void setDefGateway​(java.lang.String defGateway)

  - ### getMACAddr

    public java.lang.String getMACAddr()

  - ### setMACAddr

    public void setMACAddr​(java.lang.String MACAddr)